#!/usr/local/bin/perl
# use lib $ENV{DOCUMENT_ROOT}.'/cgi-local';

# Para trabajo en local PC esta linea debe ir al principio del fichero
#!perl -w


# Para www.orchestra.es estas dos lineas deben ir al principio del fichero
#!/usr/local/bin/perl
# use lib $ENV{DOCUMENT_ROOT}.'/cgi-local';


# use strict;

require "./TME_doc_cfg.pl";
require "./TME_doc_lib.pl";

use CGI;

print <<END;
Content-type: text/html

<HTML>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<!-- Desarrollado por Orchestra Systems, S.L., Dic 2001 -->
<HEAD><TITLE>Herramienta de migracion</TITLE></HEAD>
<BODY>
END

# Primero voy a sacar un listado de todos los ficheros
@procesos=glob($DIRECTORIO_ALMACENAMIENTO . '*' . $SEPARADOR . '*');

foreach $proceso (@procesos) {
	
	print "<P><b>$proceso</b>";
	open(IN, "$proceso");
	$query=new CGI(IN);
	close IN;
	print "<P>nombre=" . $query->param('NOMBRE_PROCESO');
	print "<P>fichero=" . $query->param('FICHERO');
	$fichero=$query->param('FICHERO');
	print "<P>codigo=" . $query->param('CODIGO');
	$codigo=$query->param('CODIGO');
	$directorio=$proceso;
	$directorio =~ s-/[^/]*$--;
	$sentencia="mv $proceso $directorio$SEPARADOR$fichero";
	print "<P>comando a ejecutar=$sentencia";
#	system($sentencia);
#	$exit_value  = $? >> 8;
#	print "<P>resultado=$exit_value";
	print "<hr>";
}	
print "</BODY></HTML>";